Create a SiteRateSchedule for a Project
curl --request POST \
--url https://api.tread-horizon.com/v1/projects/{project-id}/site_rate_schedules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_rate_value": 123,
"customer_rate_type": "RatePerHour",
"vendor_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"driver_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour"
}
'import requests
url = "https://api.tread-horizon.com/v1/projects/{project-id}/site_rate_schedules"
payload = {
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_rate_value": 123,
"customer_rate_type": "RatePerHour",
"vendor_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"driver_rate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
site_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_rate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_rate_value: 123,
customer_rate_type: 'RatePerHour',
vendor_rate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
vendor_rate_value: 123,
vendor_rate_type: 'RatePerHour',
driver_rate_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
driver_rate_value: 123,
driver_rate_type: 'RatePerHour'
})
};
fetch('https://api.tread-horizon.com/v1/projects/{project-id}/site_rate_schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customer_rate_value": "<string>",
"customer_rate_type": "RatePerHour",
"vendor_rate_value": "<string>",
"vendor_rate_type": "RatePerHour",
"driver_rate_value": "<string>",
"driver_rate_type": "RatePerHour",
"auto_add_on_assignments_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"site": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"lat": "<string>",
"lon": "<string>",
"full_address": "<string>",
"routable": true,
"discarded_at": "2023-11-07T05:31:56Z",
"address": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thoroughfare": "<string>",
"premise": "<string>",
"locality": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>",
"country": "US",
"lat": "<string>",
"lon": "<string>",
"place_id": "<string>"
},
"next_billion_geofence": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geofence": {
"name": "<string>",
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geojson": {
"type": "<string>",
"coordinates": [
[
[
"<unknown>"
]
]
]
},
"circle_center": {
"lat": 123,
"lon": 123
},
"circle_radius": 123
},
"moving_geofence": false
}
},
"customer_rate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "RatePerHour"
},
"vendor_rate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "RatePerHour"
},
"driver_rate": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "RatePerHour"
}
}
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}SiteRateSchedules
Create a SiteRateSchedule for a Project
Create a SiteRateSchedule for a Project
POST
/
v1
/
projects
/
{project-id}
/
site_rate_schedules
Create a SiteRateSchedule for a Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Project ID
Body
application/json
Available options:
RatePerHour, RatePerDay, RatePerLoad, RatePerTon, RatePerTonne, RatePerYard, RatePerBushel, RateCommission, RateFlatCommission, RateFlatRate Example:
"RatePerHour"
Available options:
RatePerHour, RatePerDay, RatePerLoad, RatePerTon, RatePerTonne, RatePerYard, RatePerBushel, RateCommission, RateFlatCommission, RateFlatRate Example:
"RatePerHour"
Available options:
RatePerHour, RatePerDay, RatePerLoad, RatePerTon, RatePerTonne, RatePerYard, RatePerBushel, RateCommission, RateFlatCommission, RateFlatRate Example:
"RatePerHour"
Response
Created
Show child attributes
Show child attributes
⌘I